/**************************************************************
 * This is a DEMO. You can use it only for development and testing.
 * You should open Setting.h and modify General options.
 *
 * If you would like to add these features to your product,
 * please contact Blynk for Businesses:
 *
 *                  http://www.blynk.io/
 *
 **************************************************************/

//#define USE_SPARKFUN_BLYNK_BOARD    // Uncomment the board you are using
//#define USE_NODE_MCU_BOARD        // Comment out the boards you are not using
//#define USE_WITTY_CLOUD_BOARD
#define USE_CUSTOM_BOARD          // See "Custom board configuration" in Settings.h

#define APP_DEBUG        // Comment this out to disable debug prints

#define BLYNK_PRINT Serial
#include <BlynkSimpleEsp8266.h>
#include "BlynkProvisioning.h"

int pinValue=0;

BLYNK_WRITE(V0)
{
  pinValue = param.asInt(); // assigning incoming value from pin V1 to a variable
  if(pinValue == 1)
  {
    digitalWrite(D1 ,HIGH);
    digitalWrite(D2 ,HIGH);
    }
  if(pinValue == 0)
  {
    digitalWrite(D1 ,LOW);
    digitalWrite(D2 ,LOW);
    }  
}
BLYNK_WRITE(V1)
{
  pinValue = param.asInt(); // assigning incoming value from pin V1 to a variable
  if(pinValue == 1)
  {
    digitalWrite(D1 ,HIGH);
    }
  if(pinValue == 0)
  {
    digitalWrite(D1 ,LOW);
    }  
}
BLYNK_WRITE(V2)
{
  pinValue = param.asInt(); // assigning incoming value from pin V1 to a variable
  if(pinValue == 1)
  {
    digitalWrite(D2 ,HIGH);
    }
  if(pinValue == 0)
  {
    digitalWrite(D2 ,LOW);
    }  
}
void setup() {
  delay(500);
  Serial.begin(115200);

  BlynkProvisioning.begin();

}

void loop() {
  // This handles the network and cloud connection
  BlynkProvisioning.run();

}

